Name:           trezor-suite
Version:        22.5.1
Release:        1%{?dist}
Summary:        New desktop & browser app for Trezor hardware wallets

License:        TREZOR REFERENCE SOURCE LICENSE (T-RSL)
URL:            https://suite.trezor.io
AutoReq:        no

%description
Trezor Suite is a new workspace where you can manage your hardware wallet and portfolio at once, with greater privacy and completely secured by your Trezor device. Available as both a desktop standalone program and a browser app, Trezor Suite brings big improvements across our three key pillars of usability, security and privacy.

%prep
curl -L https://github.com/trezor/trezor-suite/releases/download/v22.5.1/Trezor-Suite-22.5.1-linux-x86_64.AppImage --output %{_sourcedir}/Trezor-Suite.AppImage
chmod +x %{_sourcedir}/Trezor-Suite.AppImage

echo "[Desktop Entry]
Name=Trezor Suite
Exec=/opt/trezor-suite/trezor-suite
Terminal=false
Type=Application
Icon=trezor-suite
StartupWMClass=Trezor Suite
Comment=Trezor Suite desktop application
Categories=Utility;" >> %{_sourcedir}/trezor-suite.desktop

%build
cd %{_sourcedir}
./Trezor-Suite.AppImage --appimage-extract
cp -R %{_sourcedir}/squashfs-root/* %{_builddir}/
rm -rf %{_sourcedir}/squashfs-root

%install
mkdir -p %{buildroot}/opt/trezor-suite
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_bindir}

cp %{_builddir}/usr/share/icons/hicolor/0x0/apps/trezor-suite.png %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps/
cp %{_sourcedir}/trezor-suite.desktop %{buildroot}/%{_datadir}/applications/

rm -rf %{_builddir}/usr %{_builddir}/trezor-suite.desktop %{_builddir}/trezor-suite.png %{_builddir}/AppRun %{_builddir}/LICENSE*

cp -R %{_builddir}/* %{buildroot}/opt/trezor-suite

ln -sf /opt/trezor-suite/trezor-suite %{buildroot}/%{_bindir}

%files
%attr(0775, root, root) /usr/bin/trezor-suite
%attr(0644, root, root) /usr/share/applications/trezor-suite.desktop
%attr(0644, root, root) /usr/share/icons/hicolor/512x512/apps/trezor-suite.png
%attr(0775, root, root) /opt/trezor-suite
